## groovy.swing.factory
Class SwingBorderFactory

Constructor Summary
`SwingBorderFactory()`

Method Summary
`boolean` | `isLeaf()`
`boolean` | `onHandleNodeAttributes(FactoryBuilderSupport builder, Object node, Map attributes)`
`void` | `setParent(FactoryBuilderSupport builder, Object parent, Object child)`

Constructor Detail

### SwingBorderFactory

    SwingBorderFactory()

Method Detail

### isLeaf

    public boolean isLeaf()

### onHandleNodeAttributes

    public boolean onHandleNodeAttributes(FactoryBuilderSupport builder, Object node, Map attributes)

### setParent

    public void setParent(FactoryBuilderSupport builder, Object parent, Object child)